#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-592WdhEdCdxAdPzs1ttuGR
key:                  persistent-test-2.13.1.2-592WdhEdCdxAdPzs1ttuGR
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  4e31172769be9152e16329b52146dbd1
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-592WdhEdCdxAdPzs1ttuGR
depends:
    HUnit-1.6.2.0-2YlCiSccBBKHkKAL6vU8b4
    QuickCheck-2.14.2-50g6nvTiNE5CM6werdwjjj
    aeson-1.5.6.0-6rBoO6bU0Qo8Yma8Si89de base-4.15.1.0
    blaze-html-0.9.1.2-4pUSGafCe8vCfjpisu9JYS bytestring-0.10.12.1
    conduit-1.3.4.2-CMk7OHvx9XxoVaDRukWNn containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-7Az7A2chKoRCZSD8kYe0xn
    hspec-expectations-0.8.2-1cEIOLwo4d1Lg9C8CrSfO2
    http-api-data-0.4.3-2agIdzl1ER1CuxPOPDdgir
    monad-control-1.0.3.1-5heMslwDRNE38AakmC0xP
    monad-logger-0.3.37-IFTeTTRaAgVGBbEpPzcibw mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.3-8CPoExOZ5wQ5pC0Bzvx6yh
    quickcheck-instances-0.3.28-8EIyJvmuYdo9loHo86MAHK
    random-1.2.1.1-C8aN1mO2C5BFfFmB9GY7Ok
    resourcet-1.2.6-2vcI7tN1sxC6REexyeFscl text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-C3P09p1HgklIsqvEmkORPs
    unliftio-0.2.22.0-CzJLWwfRBgPIKyoSgfOQSW
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-DKI32UXisJ5DsjnshdrAkp

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

